import request from '@/utils/request'

// 查询运单接收日志列表
export function listRunLog (query) {
  return request({
    url: '/system/runLog/list',
    method: 'get',
    params: query
  })
}

// 查询运单接收日志详细
export function getRunLog (id) {
  return request({
    url: '/system/runLog/' + id,
    method: 'get'
  })
}

// 新增运单接收日志
export function addRunLog (data) {
  return request({
    url: '/system/runLog',
    method: 'post',
    data: data
  })
}

// 修改运单接收日志
export function updateRunLog (data) {
  return request({
    url: '/system/runLog',
    method: 'put',
    data: data
  })
}

// 删除运单接收日志
export function delRunLog (id) {
  return request({
    url: '/system/runLog/' + id,
    method: 'delete'
  })
}

// 导出运单接收日志
export function exportRunLog (query) {
  return request({
    url: '/system/runLog/export',
    method: 'get',
    params: query
  })
}
